> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List shipments



## OpenAPI

````yaml /swagger.yaml get /shipments
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /shipments:
    get:
      tags:
        - Shipment
      summary: List shipments
      operationId: shipments#list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 50
          required: false
        - name: project_ids
          in: query
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: supplier_ids
          in: query
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: po_label
          in: query
          required: false
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - not_shipped
                - arrival_expected
                - received
          required: false
        - name: tracking_number
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/shipments'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    shipments:
      type: array
      items:
        $ref: '#/components/schemas/shipment'
    error:
      type: object
      properties:
        error:
          type: string
    shipment:
      type: object
      properties:
        id:
          type: integer
        currency:
          type: string
          nullable: true
        deliver_by:
          type: string
          format: date
          nullable: true
        delivery_date:
          type: string
          format: date
          nullable: true
        estimated_ship_date:
          type: string
          format: date
          nullable: true
        shipped_date:
          type: string
          format: date
          nullable: true
        received_date:
          type: string
          format: date
          nullable: true
        status:
          type: string
          enum:
            - not_shipped
            - arrival_expected
            - received
        notes:
          type: string
          nullable: true
        tracking_number:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/shipmentLineItem'
        shipping_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        supplier:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        purchase_order_ids:
          type: array
          items:
            type: integer
    shipmentLineItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        spec_quantity:
          type: number
        ordered:
          type: number
        received:
          type: number
        shipped:
          type: number
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````